/* common.h */

#ifndef TEST_COMMON_H_
#define TEST_COMMON_H_

extern IIIMCF_handle handle;

extern void test_iiimf_error(
    IIIMF_status st
);

extern char* test_format_iiimcf_string(
    const IIIMP_card16 *pu16
);

extern void test_output_iiimcf_string(
    const IIIMP_card16 *pu16
);

extern void check(
    IIIMF_status st
);

extern void test_assert(
    int b
);

extern void test_init();
extern void test_uninit();
extern void test_show_objects();
extern void test_show_input_methods();

extern void test_forwardevent(
    IIIMCF_context c,
    IIIMCF_event ev
);

extern void test_forwardkey(
    IIIMCF_context c,
    int keycode,
    int keychar,
    int mod
);

extern  void test_seticfocus(
    IIIMCF_context c
);

extern void test_unseticfocus(
    IIIMCF_context c
);

extern void test_trigger(
    IIIMCF_context c,
    int flag
);

extern char* test_format_iiimcf_text(
    IIIMCF_text t
);

extern void test_show_preedit_info(
    IIIMCF_context c
);

extern void test_show_status_info(
    IIIMCF_context c
);

extern void test_show_lookup_choice_info(
    IIIMCF_context c
);

extern void test_show_commit_info(
    IIIMCF_context c
);

extern void test_show_version_info(
    IIIMCF_handle h
);

extern void test_show_incoming_events(
    IIIMCF_context c,
    int dispatchp
);

#endif /* not TEST_COMMON_H_ */

/* Local Variables: */
/* c-file-style: "iiim-project" */
/* End: */

